# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

( cd usr/share/pixmaps ; rm -rf flash-player-properties.png )
( cd usr/share/pixmaps ; ln -sf ../icons/hicolor/48x48/apps/flash-player-properties.png flash-player-properties.png )
